Menu

## QRData
in package

QRData.php : 21

Processes the binary data and maps it on a matrix which is then being returned

### Table of Contents

$bitBuffer : BitBuffer
  a BitBuffer instance
$dataSegments : array<string|int, mixed>
$eccLevel : EccLevel
  an EccLevel instance
$maxBitsForEcc : array<string|int, mixed>
  Max bits for the current ECC mode
$options : SettingsContainerInterface
  the options instance
$version : Version
  current QR Code version
__construct() : mixed
  QRData constructor.
setData() : self
  Sets the data string (internally called by the constructor)
writeMatrix() : QRMatrix
  returns a fresh matrix object with the data written and masked with the given $maskPattern
estimateTotalBitLength() : int
  estimates the total length of the several mode segments in order to guess the minimum version
getMinimumVersion() : int
  returns the minimum version number for the given string
writeBitBuffer() : void
  creates a BitBuffer and writes the string data to it

### Properties

#### $bitBuffer

QRData.php : 33

a BitBuffer instance

`private BitBuffer $bitBuffer`

#### $dataSegments

QRData.php : 48
`private array<string|int, mixed> $dataSegments = []`

#### $eccLevel

QRData.php : 38

an EccLevel instance

`private EccLevel $eccLevel`

#### $maxBitsForEcc

QRData.php : 55

Max bits for the current ECC mode

`private array<string|int, mixed> $maxBitsForEcc`

#### $options

QRData.php : 28

the options instance

`private SettingsContainerInterface $options`

#### $version

QRData.php : 43

current QR Code version

`private Version $version`

### Methods

#### __construct()

QRData.php : 63

QRData constructor.

`public __construct(SettingsContainerInterface $options[, array<string|int, QRDataModeInterface>|null $dataSegments = null ]) : mixed`

##### Parameters

$options : SettingsContainerInterface
$dataSegments : array<string|int, QRDataModeInterface>|null = null

##### Return values

mixed —

#### setData()

QRData.php : 80

Sets the data string (internally called by the constructor)

`public setData(array<string|int, mixed> $dataSegments) : self`

Subsequent calls will overwrite the current state - use the QRCode::add*Segement() method instead

##### Parameters

$dataSegments : array<string|int, mixed>

##### Return values

self —

#### writeMatrix()

QRData.php : 98

returns a fresh matrix object with the data written and masked with the given $maskPattern

`public writeMatrix(MaskPattern $maskPattern) : QRMatrix`

##### Parameters

$maskPattern : MaskPattern

##### Return values

QRMatrix —

#### estimateTotalBitLength()

QRData.php : 111

estimates the total length of the several mode segments in order to guess the minimum version

`private estimateTotalBitLength() : int`

##### Tags

throws
  QRCodeDataException

##### Return values

int —

#### getMinimumVersion()

QRData.php : 145

returns the minimum version number for the given string

`private getMinimumVersion() : int`

##### Tags

throws
  QRCodeDataException

##### Return values

int —

#### writeBitBuffer()

QRData.php : 164

creates a BitBuffer and writes the string data to it

`private writeBitBuffer() : void`

##### Tags

throws
  QRCodeException

  on data overflow

##### Return values

void —

## Search results